export default [
    { path: '/login', component: './Login', layout: false, access: 'login' },
    {
        path: '/',
        redirect: '/main/company/list',
      },
      {
        path: '/login',
        component: './Login',
        layout: false
      },
      // 总控路由
      {
        name: '基础管理',
        path: '/main',
        routes: [
          {
            name: '企业管理',
            routes: [
              {
                name: '企业列表',
                path: '/main/company/list',
                component: './Main/Company/List',
              },
              {
                name: 'VIP列表',
                path: '/main/company/vip',
                component: './Main/Company/Vip',
              },
              {
                name: '部门管理',
                path: '/main/company/department',
                component: './Main/Company/Department',
              },
              {
                name: '职位管理',
                path: '/main/company/post',
                component: './Main/Company/Post',
              }
            ]
          },
          {
            name: '求职者管理',
            routes: [
              {
                name: '简历列表',
                path: '/main/jobseeker/list',
                component: './Main/Jobseeker/List',
              },
              {
                name: '求职者账号列表',
                path: '/main/jobseeker/account',
                component: './Main/Jobseeker/Account',
              }
            ]
          },
          {
            name: '招聘会管理',
            routes: [
              {
                name: '招聘会列表',
                path: '/main/fair/list',
                component: './Main/Fair/List',
              },
              {
                name: '参与企业列表',
                path: '/main/fair/company',
                component: './Main/Fair/Company',
              }
            ]
          },
          {
            name: '新闻资讯',
            routes: [
              {
                name: '栏目/频道',
                path: '/main/information/section',
                component: './Main/Information/Section',
              },
              {
                name: '文章列表',
                path: '/main/information/article',
                component: './Main/Information/Article',
              }
            ]
          },
          {
            name: '广告/活动管理',
            routes: [
              {
                name: '广告/活动列表',
                path: '/main/advertisement/list',
                component: './Main/Advertisement/List',
              },
              {
                name: '广告/活动投放',
                path: '/main/advertisement/putin',
                component: './Main/Advertisement/Putin',
              }
            ]
          } ,
          {
            name: '反馈管理',
            path: '/main/feedback/list',
            component: './Main/Feedback',
          },
  
        ]
      },
      {
        name: '账号权限',
        path: '/permission',
        routes: [
          {
            name: '权限管理',
            path: '/permission/list',
            component: './Permission/List',
          },
          {
            name: '角色管理',
            path: '/permission/role',
            component: './Permission/Role'
          },
          {
            name: '账号管理',
            path: '/permission/account',
            component: './Permission/Account',
          }
        ]
      },
      {
        name: '系统管理',
        path: '/setting',
        routes: [
          {
            name: '系统设置',
            path: '/setting/system',
            component: './Setting/System',
          },
          {
            name: '字典设置',
            path: '/setting/dictionary',
            component: './Setting/Dictionary'
          },
          {
            name: '分词器',
            path: '/setting/other',
            component: './Setting/Other',
          }
        ]
      },
      {
        name: '统计管理',
        path: '/setting',
        routes: [
          {
            name: '系统设置',
            path: '/setting/system',
            component: './Setting/System',
          },
          {
            name: '字典设置',
            path: '/setting/dictionary',
            component: './Setting/Dictionary'
          },
          {
            name: '分词器',
            path: '/setting/other',
            component: './Setting/Other',
          }
        ]
      }
]